/******************************************************************************/
/* lnk_cc430f5137.cmd - LINKER COMMAND FILE FOR LINKING CC430F5137 PROGRAMS     */
/*                                                                            */
/*   Usage:  lnk430 <obj files...>    -o <out file> -m <map file> lnk.cmd     */
/*           cl430  <src files...> -z -o <out file> -m <map file> lnk.cmd     */
/*                                                                            */
/*----------------------------------------------------------------------------*/
/* These linker options are for command line linking only.  For IDE linking,  */
/* you should set your linker options in Project Properties                   */
/* -c                                               LINK USING C CONVENTIONS  */
/* -stack  0x0100                                   SOFTWARE STACK SIZE       */
/* -heap   0x0100                                   HEAP AREA SIZE            */
/*                                                                            */
/*----------------------------------------------------------------------------*/


/****************************************************************************/
/* SPECIFY THE SYSTEM MEMORY MAP                                            */
/****************************************************************************/

//Version V2. Linker script ram is changed according to new bootloader_eros
//Version added in V1.5.4
//Version added in V1.5.5
MEMORY
{
	SFR                     : origin = 0x0000, length = 0x0010
    PERIPHERALS_8BIT        : origin = 0x0010, length = 0x00F0
    PERIPHERALS_16BIT       : origin = 0x0100, length = 0x0100

   // RAM                     : origin = 0x1D00, length = 0x0AFE
    RAM                     : origin = 0x1D00, length = 0x07FE	//2k
  //  EROSRAM                 : origin = 0x2800, length = 0x03FE
    EROSRAM                 : origin = 0x2500, length = 0x06FE//2k~~

    INFOA                   : origin = 0x1980, length = 0x0080
    INFOB                   : origin = 0x1900, length = 0x0080
    INFOC                   : origin = 0x1880, length = 0x0080
    INFOD                   : origin = 0x1800, length = 0x0080

    FLASH                   : origin = 0xC000, length = 0x3F7F

    INT00                   : origin = 0xFF80, length = 0x0002
    INT01                   : origin = 0xFF82, length = 0x0002
    INT02                   : origin = 0xFF84, length = 0x0002
    INT03                   : origin = 0xFF86, length = 0x0002
    INT04                   : origin = 0xFF88, length = 0x0002
    INT05                   : origin = 0xFF8A, length = 0x0002
    INT06                   : origin = 0xFF8C, length = 0x0002
    INT07                   : origin = 0xFF8E, length = 0x0002
    INT08                   : origin = 0xFF90, length = 0x0002
    INT09                   : origin = 0xFF92, length = 0x0002
    INT10                   : origin = 0xFF94, length = 0x0002
    INT11                   : origin = 0xFF96, length = 0x0002
    INT12                   : origin = 0xFF98, length = 0x0002
    INT13                   : origin = 0xFF9A, length = 0x0002
    INT14                   : origin = 0xFF9C, length = 0x0002
    INT15                   : origin = 0xFF9E, length = 0x0002
    INT16                   : origin = 0xFFA0, length = 0x0002
    INT17                   : origin = 0xFFA2, length = 0x0002
    INT18                   : origin = 0xFFA4, length = 0x0002
    INT19                   : origin = 0xFFA6, length = 0x0002
    INT20                   : origin = 0xFFA8, length = 0x0002
    INT21                   : origin = 0xFFAA, length = 0x0002
    INT22                   : origin = 0xFFAC, length = 0x0002
    INT23                   : origin = 0xFFAE, length = 0x0002
    INT24                   : origin = 0xFFB0, length = 0x0002
    INT25                   : origin = 0xFFB2, length = 0x0002
    INT26                   : origin = 0xFFB4, length = 0x0002
    INT27                   : origin = 0xFFB6, length = 0x0002
    INT28                   : origin = 0xFFB8, length = 0x0002
    INT29                   : origin = 0xFFBA, length = 0x0002
    INT30                   : origin = 0xFFBC, length = 0x0002
    INT31                   : origin = 0xFFBE, length = 0x0002
    INT32                   : origin = 0xFFC0, length = 0x0002
    INT33                   : origin = 0xFFC2, length = 0x0002
    INT34                   : origin = 0xFFC4, length = 0x0002
    INT35                   : origin = 0xFFC6, length = 0x0002
    INT36                   : origin = 0xFFC8, length = 0x0002
    INT37                   : origin = 0xFFCA, length = 0x0002
    INT38                   : origin = 0xFFCC, length = 0x0002
    INT39                   : origin = 0xFFCE, length = 0x0002
    INT40                   : origin = 0xFFD0, length = 0x0002
    INT41                   : origin = 0xFFD2, length = 0x0002
    INT42                   : origin = 0xFFD4, length = 0x0002
    INT43                   : origin = 0xFFD6, length = 0x0002
    INT44                   : origin = 0xFFD8, length = 0x0002
    INT45                   : origin = 0xFFDA, length = 0x0002
    INT46                   : origin = 0xFFDC, length = 0x0002
    INT47                   : origin = 0xFFDE, length = 0x0002
    INT48                   : origin = 0xFFE0, length = 0x0002
    INT49                   : origin = 0xFFE2, length = 0x0002
    INT50                   : origin = 0xFFE4, length = 0x0002
    INT51                   : origin = 0xFFE6, length = 0x0002
    INT52                   : origin = 0xFFE8, length = 0x0002
    INT53                   : origin = 0xFFEA, length = 0x0002
    INT54                   : origin = 0xFFEC, length = 0x0002
    INT55                   : origin = 0xFFEE, length = 0x0002
    INT56                   : origin = 0xFFF0, length = 0x0002
    INT57                   : origin = 0xFFF2, length = 0x0002
    INT58                   : origin = 0xFFF4, length = 0x0002
    INT59                   : origin = 0xFFF6, length = 0x0002
    INT60                   : origin = 0xFFF8, length = 0x0002
    INT61                   : origin = 0xFFFA, length = 0x0002
    INT62                   : origin = 0xFFFC, length = 0x0002
    RESET                   : origin = 0xFFFE, length = 0x0002
}

/****************************************************************************/
/* SPECIFY THE SECTIONS ALLOCATION INTO MEMORY                              */
/****************************************************************************/

SECTIONS
{
    .bss                           : {} > RAM              /* GLOBAL & STATIC VARS              */
    .data                          : {} > RAM                 /* GLOBAL & STATIC VARS              */
    .sysmem                        : {} > RAM                 /* DYNAMIC MEMORY ALLOCATION AREA    */
    .stack                         : {} > EROSRAM (HIGH)//RAM (HIGH)        //EROSRAM (HIGH)      /* SOFTWARE SYSTEM STACK             */


    .text:main                     : {} >0xC000
    .text                          : {} > FLASH              /* CODE                              */

    .cinit                         : {} > FLASH              /* INITIALIZATION TABLES             */
    .const                         : {} > FLASH              /* CONSTANT DATA                     */
    .cio                           : {} > RAM                /* C I/O BUFFER                      */

    .eRIC_radiotx_buffer           : {} > 0x2500
    .eRIC_radiorx_buffer           : {} > 0x2600
    .Commonpassedvariable          : {} > 0x2700//long
    .Commonreturnvariable          : {} > 0x2704//long
    .eRIC_radiotx_buffcount        : {} > 0x2708//char
    .eRIC_Rxdata_available         : {} > 0x2709//char
    .eRIC_radiorx_buff_pos_in      : {} > 0x270A//char
    .eRIC_radiorx_buff_pos_out     : {} > 0x270B//char
    .Read_rf_byte                  : {} > 0x270C

    .eRIC_frequency                : {} > 0x2710//long
    .eRIC_power                    : {} > 0x2714//signed char
    .eRIC_channel                  : {} > 0x2715//char
    .eRIC_channelspacing           : {} > 0x2716//long
    .eRIC_rfbaudrate               : {} > 0x271A//long

    .eRIC_cpufrequency             : {} >0x272C// long
    .eRIC_rssi                     : {} >0x2734//char

    .eeprom_address           	   : {} >0x2736 //char
    .eeprom_data                   : {} >0x2737//char

    .Commonpassedvariable2  	   : {} >0x2738//Long
    .Commonpassedvariable3    	   : {} >0x273C//Long

    .watch1                  	   : {} >0x2740//int
    .watch1_type                   : {} >0x2742//int
    .watch2                        : {} >0x2744//int
    .watch2_type                   : {} >0x2746//int
    .watch3                        : {} >0x2748//int
    .watch3_type                   : {} >0x274A//int
    .watch4                        : {} >0x274C//int
    .watch4_type                   : {} >0x274E//int
    .watch5                        : {} >0x2750//int
    .watch5_type                   : {} >0x2752//int
    .watch6                        : {} >0x2754//int
    .watch6_type                   : {} >0x2756//int
    .watch7                        : {} >0x2758//int
    .watch7_type                   : {} >0x275A//int
    .watch8                        : {} >0x275C//int
    .watch8_type                   : {} >0x275E//int
    .watch9                        : {} >0x2760//int
    .watch9_type                   : {} >0x2762//int
    .watch10                       : {} >0x2764//int
    .watch10_type                  : {} >0x2766//int
 //new addreess

    .eRIC_rxpowerlevel        : {} >0x2768//char

    .eRIC_txpowerlevel        : {} >0x276A //char


    .eRIC_prog_mode           : {} >0x276C//Char


    .eRIC_radio_baud          : {} >0x276D//Char

    .Delaycycles              : {} >0x276E//int

    .eRIC_packetrssi          : {} >0x2774//char

    .eRIC_groupid             : {} >0x2776//int     Position of adress differ of alignment issue

    .eRIC_port2busy           : {} >0x2778 //unsigned char

    .eRIC_port3busy           : {} >0x2779 //unsigned char

    .eRIC_flagstatus          : {} >0x277A //unsigned int 16 bit variable

    .eRIC_aes_key             : {} >0x277C //17 Bytes from eros 4.1

    .eRIC_aes_data            : {} >0x278E //16 Bytes

    .eRIC_lpmlevel            : {} >0x279E //unsigned char //V4.2

    .eRIC_lastcauseofreset    : {} >0x27A5 //unisgned int





    .pinit                         : {} > FLASH              /* C++ CONSTRUCTOR TABLES            */
    .init_array                    : {} > FLASH              /* C++ CONSTRUCTOR TABLES            */
    .mspabi.exidx                  : {} > FLASH              /* C++ CONSTRUCTOR TABLES            */
    .mspabi.extab                  : {} > FLASH              /* C++ CONSTRUCTOR TABLES            */

    .infoA                         : {} > INFOA              /* MSP430 INFO FLASH MEMORY SEGMENTS */
    .infoB                         : {} > INFOB
    .infoC                         : {} > INFOC
    .infoD                         : {} > INFOD

    /* MSP430 INTERRUPT VECTORS          */
    .int00       : {}               > INT00
    .int01       : {}               > INT01
    .int02       : {}               > INT02
    .int03       : {}               > INT03
    .int04       : {}               > INT04
    .int05       : {}               > INT05
    .int06       : {}               > INT06
    .int07       : {}               > INT07
    .int08       : {}               > INT08
    .int09       : {}               > INT09
    .int10       : {}               > INT10
    .int11       : {}               > INT11
    .int12       : {}               > INT12
    .int13       : {}               > INT13
    .int14       : {}               > INT14
    .int15       : {}               > INT15
    .int16       : {}               > INT16
    .int17       : {}               > INT17
    .int18       : {}               > INT18
    .int19       : {}               > INT19
    .int20       : {}               > INT20
    .int21       : {}               > INT21
    .int22       : {}               > INT22
    .int23       : {}               > INT23
    .int24       : {}               > INT24
    .int25       : {}               > INT25
    .int26       : {}               > INT26
    .int27       : {}               > INT27
    .int28       : {}               > INT28
    .int29       : {}               > INT29
    .int30       : {}               > INT30
    .int31       : {}               > INT31
    .int32       : {}               > INT32
    .int33       : {}               > INT33
    .int34       : {}               > INT34
    .int35       : {}               > INT35
    .int36       : {}               > INT36
    .int37       : {}               > INT37
    .int38       : {}               > INT38
    .int39       : {}               > INT39
    .int40       : {}               > INT40
    .int41       : {}               > INT41
    .int42       : {}               > INT42
    .int43       : {}               > INT43
    .int44       : {}               > INT44

    AES          : { * ( .int45 ) } > INT45 type = VECT_INIT
    RTC          : { * ( .int46 ) } > INT46 type = VECT_INIT
    .int47       : {}               > INT47
    PORT2        : { * ( .int48 ) } > INT48 type = VECT_INIT
    PORT1        : { * ( .int49 ) } > INT49 type = VECT_INIT       //Added in V1.5.4
//    TIMER1_A1    : { * ( .int50 ) } > INT50 type = VECT_INIT
//    TIMER1_A0    : { * ( .int51 ) } > INT51 type = VECT_INIT
    DMA          : { * ( .int52 ) } > INT52 type = VECT_INIT
  //  CC1101       : { * ( .int53 ) } > INT53 type = VECT_INIT
    TIMER0_A1    : { * ( .int54 ) } > INT54 type = VECT_INIT
    TIMER0_A0    : { * ( .int55 ) } > INT55 type = VECT_INIT
    ADC12        : { * ( .int56 ) } > INT56 type = VECT_INIT
    USCI_B0      : { * ( .int57 ) } > INT57 type = VECT_INIT
    USCI_A0      : { * ( .int58 ) } > INT58 type = VECT_INIT
    WDT          : { * ( .int59 ) } > INT59 type = VECT_INIT
    COMP_B       : { * ( .int60 ) } > INT60 type = VECT_INIT
    UNMI         : { * ( .int61 ) } > INT61 type = VECT_INIT
    SYSNMI       : { * ( .int62 ) } > INT62 type = VECT_INIT
    .reset       : {}               > RESET  /* MSP430 RESET VECTOR         */
}

/****************************************************************************/
/* INCLUDE PERIPHERALS MEMORY MAP                                           */
/****************************************************************************/

-l cc430f5137.cmd
